My Oracle Support Banner

Upgrade To 12.2.1.4 Causes Groovy Error "Script Text To Compile Cannot Be Null!" (Doc ID 2707258.1)

Last updated on JUNE 11, 2021

Applies to:

Oracle JDeveloper - Version 12.2.1.4.0 to 12.2.1.4.0 [Release 12c]
Information in this document applies to any platform.

Goal

After an application was migrated from an earlier 12.2.1 version to 12.2.1.4.0, some Groovy related errors are seen at runtime:

java.lang.IllegalArgumentException: Script text to compile cannot be null!
        at groovy.lang.GroovyClassLoader.validate(GroovyClassLoader.java:407)

The same application worked fine in the earlier release.

What can be done to solve this problem?

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.